Module | Sequel::Plugins::SerializationModificationDetection::InstanceMethods
In: | lib/sequel/plugins/serialization_modification_detection.rb

### Methods

after_save changed_columns

### Public Instance methods

after_save()

Clear the cache of original deserialized values after saving so that it doesn‘t show the column is modified after saving.

[Source]

        # File lib/sequel/plugins/serialization_modification_detection.rb, line 35
    35:         def after_save
    36:           super
    37:           @original_deserialized_values = {}
    38:         end

changed_columns()

Detect which serialized columns have changed.

[Source]

        # File lib/sequel/plugins/serialization_modification_detection.rb, line 41
    41:         def changed_columns
    42:           cc = super
    43:           deserialized_values.each{|c, v| cc << c if !cc.include?(c) && original_deserialized_value(c) != v}
    44:           cc
    45:         end

[Validate]